PLATFORM_DEVICE_UNRE(9)

NAME
platform_device_unregister - unregister a platform-level device

SYNOPSIS

void platform_device_unregister(struct platform_device * pdev);

ARGUMENTS

pdev
    platform device we're unregistering

DESCRIPTION

Unregistration is done in 2 steps. First we release all resources and remove it from the subsystem, then we drop reference count by calling platform_device_put.

COPYRIGHT